<?php
$db->exec("ALTER TABLE receipts ADD fd VARCHAR DEFAULT ''");
$db->exec("ALTER TABLE receipts ADD fp VARCHAR DEFAULT ''");
$db->exec("CREATE TABLE temp_table AS SELECT * FROM products");
$db->exec("DROP TABLE products");
$db->exec("CREATE TABLE products (id INT PRIMARY KEY UNIQUE, code VARCHAR, ppr INT DEFAULT (1), fast INT DEFAULT (0), title VARCHAR, short_title VARCHAR, img TEXT, category_id INT, stock DOUBLE DEFAULT (0), price DOUBLE, buy_price DOUBLE DEFAULT (0), vat INT, vat_type INT, quantity DOUBLE DEFAULT (1), marking INT DEFAULT (0), marking_group VARCHAR DEFAULT '', egais INT DEFAULT (0), date_delete INT, date_update INT, print_group VARCHAR DEFAULT '', related TEXT DEFAULT '', max_discount DOUBLE DEFAULT (0) )");
$db->exec("INSERT INTO products (id, code, ppr, fast, title, short_title, img, category_id, stock, price, buy_price, vat, vat_type, quantity, marking, marking_group, egais, date_delete, date_update, print_group, related, max_discount) SELECT id, code, ppr, fast, title, short_title, img, category_id, stock, price, buy_price, vat, vat_type, quantity, marking, marking_group, egais, date_delete, date_update, print_group, related, max_discount FROM temp_table");
$db->exec("DROP TABLE temp_table");
$db->exec("CREATE INDEX category_id ON products (category_id)");
$db->exec("CREATE INDEX code ON products (code)");
$db->exec("CREATE INDEX title ON products (title)");
$db->exec("CREATE INDEX date_delete ON products (date_delete)");
$db->exec("CREATE INDEX id_prod ON products (id)");
$db->exec("CREATE INDEX marking ON products (marking)");
$db->exec("CREATE INDEX egais ON products (egais)");
$db->exec("UPDATE products SET stock=0 WHERE stock IS NULL");
$db->exec("ALTER TABLE receipts ADD correct_type INT DEFAULT(0)");
$db->exec("ALTER TABLE receipts ADD osn_number INT DEFAULT(0)");
$db->exec("ALTER TABLE receipts ADD osn_date VARCHAR DEFAULT ''");
